// Wild Magic Source Code
// David Eberly
// http://www.geometrictools.com
// Copyright (c) 1998-2008
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or (at
// your option) any later version.  The license is available for reading at
// either of the locations:
//     http://www.gnu.org/copyleft/lgpl.html
//     http://www.geometrictools.com/License/WildMagicLicense.pdf
//
// Version: 4.0.1 (2006/09/21)

#include "Wm4ImagicsPCH.h"
#include "Wm4Element.h"
using namespace Wm4;

Wm4ImplementElement(char,0);
Wm4ImplementElement(uchar,1);
Wm4ImplementElement(short,2);
Wm4ImplementElement(ushort,3);
Wm4ImplementElement(int,4);
Wm4ImplementElement(uint,5);
Wm4ImplementElement(long,6);
Wm4ImplementElement(ulong,7);
Wm4ImplementElement(float,8);
Wm4ImplementElement(double,9);
Wm4ImplementElement(rgb5,10);
Wm4ImplementElement(rgb8,11);
